| Home | Libraries | People | FAQ | More

##### vector_tie

###### Description

Constructs a tie using a `vector` sequence.

###### Synopsis

    template <typename T0, typename T1,... typename TN>
    vector<T0&, T1&,... TN&>
    vector_tie(T0& x0, T1& x1... TN& xN);

The variadic function accepts `0` to `FUSION_MAX_VECTOR_SIZE` elements, where `FUSION_MAX_VECTOR_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_VECTOR_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_VECTOR_SIZE 20

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`x0, x1,... xN` | Instances of `T0, T1,... TN` | The arguments to `vector_tie`

###### Expression Semantics

    vector_tie(x0, x1,... xN);

Return type: `vector`<T0&, T1&,... TN&>

Semantics: Create a `vector` of references from `x0, x1,... xN`.

###### Header

    #include <boost/fusion/container/generation/vector_tie.hpp>
    #include <boost/fusion/include/vector_tie.hpp>

###### Example

    int i = 123;
    double d = 123.456;
    vector_tie(i, d)